<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:app="http://schemas.android.com/apk/res-auto">
    <data>
       <variable
         name="disPlayedChild"
         type="int" />
    </data>
  <ViewFlipper
    android:id="@+id/view_flipper"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    app:displayedChild="@{disPlayedChild}">
  <!-- Child one -->
  <include
    android:id="@+id/included_layout"
    layout="@layout/shimmer_layout_one"/>
  <!-- child Two -->
    <RelativeLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content">
    <androidx.coordinatorlayout.widget.CoordinatorLayout
      android:layout_width="match_parent"
      android:layout_height="match_parent"
      android:layout_above="@id/btn_personalize_spending">

      <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <androidx.appcompat.widget.Toolbar
          android:id="@+id/toolbar"
          android:layout_width="match_parent"
          android:layout_height="?attr/actionBarSize"
          android:layout_alignParentTop="true"
          android:background="@android:color/white"
          android:theme="@style/toolBarTheme"
          app:popupTheme="@style/ThemeOverlay.AppCompat.Dark"
          app:title="Confirm Details" />
      </com.google.android.material.appbar.AppBarLayout>

        <androidx.core.widget.NestedScrollView
          app:layout_behavior="com.google.android.material.appbar.AppBarLayout$ScrollingViewBehavior"
          android:id="@+id/scrollView"
          android:fillViewport="true"
          android:layout_width="match_parent"
          android:layout_height="match_parent"
          android:layout_marginBottom="13dp">

            <LinearLayout
              android:layout_width="match_parent"
              android:layout_height="match_parent"
              android:layout_marginTop="50dp"
              android:layout_marginBottom="1dp"
              android:layout_marginStart="1dp"
              android:layout_marginEnd="1dp"
              android:padding="20dp"
              android:orientation="vertical">
                <TextView
                  android:id="@+id/amountLeft"
                  android:textStyle="bold"
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:fontFamily="@font/roboto"
                  android:text="₹29,203 left"
                  android:textColor="@color/colorBlack"
                  android:textSize="24sp" />

                <TextView
                  android:id="@+id/recommendSpending"
                  android:textStyle="bold"
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:layout_marginTop="@dimen/dimen_20"
                  android:fontFamily="@font/roboto"
                  android:text="Recommended spending pattern for ₹29,203"
                  android:textColor="@color/colorBlack"
                  android:textSize="24sp" />

                <androidx.recyclerview.widget.RecyclerView
                  android:id="@+id/spending_category_recycler_view"
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:orientation="vertical"
                  app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />
                <LinearLayout
                  android:layout_width="match_parent"
                  android:layout_height="46dp"
                  android:layout_marginTop="@dimen/dimen_20"
                  android:orientation="horizontal"
                  android:weightSum="2">

                    <TextView
                      android:id="@+id/total"
                      android:layout_width="37dp"
                      android:layout_height="wrap_content"
                      android:layout_weight="1"
                      android:text="Total" />

                    <TextView
                      android:id="@+id/TotalAmount"
                      android:layout_width="wrap_content"
                      android:layout_height="wrap_content"
                      android:layout_weight="1"
                      android:text="₹18,584"
                      android:textAlignment="textEnd" />
                </LinearLayout>
                <LinearLayout
                  android:layout_width="match_parent"
                  android:layout_height="46dp"
                  android:layout_marginTop="@dimen/dimen_20"
                  android:orientation="horizontal"
                  android:weightSum="2">

                    <TextView
                      android:id="@+id/savings"
                      android:layout_width="37dp"
                      android:layout_height="wrap_content"
                      android:layout_weight="1"
                      android:text="Savings" />

                    <TextView
                      android:id="@+id/SavingsAmount"
                      android:layout_width="wrap_content"
                      android:layout_height="wrap_content"
                      android:layout_weight="1"
                      android:text="₹10,703"
                      android:textAlignment="textEnd" />
                </LinearLayout>
            </LinearLayout>
        </androidx.core.widget.NestedScrollView>
    </androidx.coordinatorlayout.widget.CoordinatorLayout>
        <Button
          android:id="@+id/btn_personalize_spending"
          android:textStyle="bold"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:layout_marginBottom="40dp"
          android:layout_marginStart="24dp"
          android:layout_marginEnd="24dp"
          android:layout_alignParentBottom="true"
          android:layout_centerHorizontal="true"
          android:paddingTop="@dimen/dimen_20"
          android:paddingBottom="@dimen/dimen_20"
          android:paddingStart="@dimen/dimen_100"
          android:paddingEnd="@dimen/dimen_100"
          android:background="@drawable/rounded_corners_8"
          android:fontFamily="@font/roboto"
          android:text="Personalize This"
          android:textColor="@color/colorWhite" />
    </RelativeLayout>
  </ViewFlipper>
</layout>